> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve a User Audit Log

GET https://api.withpersona.com/api/v1/user-audit-logs/{user-audit-log-id}

Retrieves the details of an existing user audit logs for up to the most recent 6 months.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like user audit logs in Sandbox via API.

Reference: https://docs.withpersona.com/api-reference/user-audit-logs/retrieve-a-user-audit-log

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `user-audit-log-id` (string, required)

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a User Audit Log object and (optionally) its related objects in `included`.

- `data` (user-audit-log, required)
- `included` (list of user, optional) — Objects that _may_ be returned if specified via the `include` query parameter in the request.

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of UserAuditLogsUserAuditLogIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of UserAuditLogsUserAuditLogIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of UserAuditLogsUserAuditLogIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of UserAuditLogsUserAuditLogIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of UserAuditLogsUserAuditLogIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### user-audit-log

- `type` ("user-audit-log", optional)
- `id` (string, optional)
- `attributes` (UserAuditLogAttributes, optional)
- `relationships` (UserAuditLogRelationships, optional)

### user

A User object

- `id` (string, optional)
- `attributes` (WorkflowRunIncludedObjectsItemsDiscriminatorMappingUserAttributes, optional)

### UserAuditLogsUserAuditLogIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### UserAuditLogAttributes

- `path` (string, optional)
- `method` (string, optional)
- `get-params` (UserAuditLogAttributesGetParams, optional) — The GET params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.
- `post-params` (UserAuditLogAttributesPostParams, optional) — The POST params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.
- `ip-address` (string, optional)
- `user-agent` (string, optional)
- `response-status` (integer, optional)
- `created-at` (datetime, optional)
- `impersonator-email-address` (string, optional, nullable)
- `context` (UserAuditLogAttributesContext, optional) — Context of the audit log. Currently, this property is only present for dashboard inquiry creation audit logs -- when path is /api/internal/dashboard/v1/inquiries and method is POST.

### UserAuditLogRelationships

- `user` (UserAuditLogRelationshipsUser, optional)
- `user-session` (UserAuditLogRelationshipsUserSession, optional)

### WorkflowRunIncludedObjectsItemsDiscriminatorMappingUserAttributes

- `email-address` (string, optional)
- `name-first` (string, optional)
- `name-last` (string, optional)

### UserAuditLogAttributesGetParams

The GET params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.

### UserAuditLogAttributesPostParams

The POST params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.

### UserAuditLogAttributesContext

Context of the audit log. Currently, this property is only present for dashboard inquiry creation audit logs -- when path is /api/internal/dashboard/v1/inquiries and method is POST.

- `inquiry-id` (string, optional) — ID of the inquiry created -- this property is only present when path is /api/internal/dashboard/v1/inquiries and method is POST

### UserAuditLogRelationshipsUser

- `data` (UserAuditLogRelationshipsUserData, optional)

### UserAuditLogRelationshipsUserSession

- `data` (UserAuditLogRelationshipsUserSessionData, optional)

### UserAuditLogRelationshipsUserData

- `type` ("user", optional)
- `id` (string, optional)

### UserAuditLogRelationshipsUserSessionData

- `type` ("user-session", optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "type": "user-audit-log",
    "id": "ual_ABC123",
    "attributes": {
      "path": "/api/v1/inquiries",
      "method": "GET",
      "get-params": {},
      "post-params": {},
      "ip-address": "127.0.0.1",
      "created-at": "2023-10-03T21:31:05.163Z",
      "impersonator-email-address": null
    },
    "relationships": {
      "user": {
        "data": {
          "type": "user",
          "id": "user_ABC123"
        }
      }
    }
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/user-audit-logs/user-audit-log-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```